/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  
USA
***********************************************************************/

/**
 * Interfaccia che specifica le caratteristiche minime che devono essere implementate per tutti i componenti 
 * di tipo <code>IBooleanButton</code>. Si tratta di pulsanti che possono avere due stati distinti e il passaggio
 * da uno stato all'altro avviene attraverso la pressione di essi da parte del mouse.
 *
 * @version 1.0
 * @author Sottiriva Andrea, Campesato Roberto
 */
public interface IBooleanButton extends IComponent
{
	/** L'implementazione deve restituire lo stato attuale del pulsante. */
    public boolean getValue();

	/** L'implementazione deve permettere di impostare lo stato del pulsante. */
    public void setValue(boolean value);
}

