/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA
***********************************************************************/

/**
 * Interfaccia che specifica le caratteristiche principali del componente contenitore
 *
 * @see IComponent
 * @see METAContainer
 */
public interface IContainer extends IComponent
{
	/** 
	 * L'implementazione di tale metodo aggiunge un sotto-componente della classe <code>IComponent</code>
	 * all'interno del container
	 */
    public void add(int x, int y, IComponent child);

	/** L'implementazione di tale medoto rimuove il sotto-componente figlio specificato dal IContainer. */
    public void remove(IComponent child);
}

