/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA
***********************************************************************/

/**
 * Interfaccia implementata dagli oggetti che hanno il compito di visualizzare etichette di testo all'interno della
 * finestra.
 *
 * @see IWindow
 * @see IText
 */
public interface ILabel extends IComponent
{
	/** 
	 * La sua implementazione restituisce la stringa visualizzata dall'oggetto che
	 * implementa l'interfaccia <code>ILabel</code>.
	 */
	public String getLabel();

	/**
	 * L'implementazione permette di alterare il contenuto dell'etichetta di testo dell'instanza
	 * di un oggetto che implementa l'interfaccia <code>ILabel</code>.
	 */
	public void setLabel(String label);
}

