/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA
***********************************************************************/

/**
 * Interfaccia implementata dalla finestra principale dell'applicazione.
 *
 * @see IComponent
 */
public interface IWindow
{
	/** L'implementazione del metodo restituisce il titolo della finestra */
    public String getTitle();

	/** 
	 * L'implementazione del metodo permette di associare alla finestra un container che pu avere in
	 * s dei sotto-componenti che implementano l'interfaccia <code>IComponent</code>.
	 *
	 * @see IComponent
	 * @see IContainer
	 */
    public void setContent(IComponent content);
	
	/** L'implementazione restituisce la radice dell'albero di componenti della finestra dell'applicazione */
    public IComponent getContent();
}

