/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA
***********************************************************************/

/**
 * Implementa l'interfaccia <code>IKeyEvent</code> per la gestione degli eventi
 * relativi al rilascio di un tasto della tastiera.
 *
 * @version 1.0
 * @author Sottoriva Andrea, Campesato Roberto.
 */
public class METAKeyReleasedEvent implements IKeyEvent
{
	/** Contiene il carattere associato al tasto rilasciato che ha causato l'evento. */
    private char keybChar;
	
	/** 
	 * Crea un nuovo evento di tipo <code>METAKeyRELEASEDEvent</code> che si distingue per il carattere
	 * passato come parametro che rappresenta il tasto rilasciato.
	 */
	public METAKeyReleasedEvent(char ch)
    {
	keybChar = ch;
    }
	
	/** Restituisce il carattere associato al tasto rilasciato che ha scatenato l'evento. */
    public char getChar()
    {
	return keybChar;
    }
}

