/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA
***********************************************************************/

/**
 * Classe astratta dalla quale di estendono i listener con le relative regole di ascolto degli eventi
 * per ogni componente.
 *
 * @version 1.0
 * @author Sottoriva Andrea, Campesato Roberto.
 */
public abstract class METAListener implements IListener
{
	/** 
	 * Metodo astratto da cui sono estesi i metodi di verifica dell'evento consumato o non consumato
	 * in ogni componente appartenente alla classe <code>METAComponent</code>
	 *
	 * @see METAComponent
	 */
    public abstract boolean handle(IComponent comp, IEvent ev);
}

