/***********************************************************************
This file is part of DogeLibs.
Dogelibs: a library of simple graphical widgets

Copyright (C) 2003  Roberto Campesato, Andrea Sottoriva

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA
***********************************************************************/

import java.util.*;
import java.awt.*;

/**
 * Implementa l'interfaccia <code>IMouseButtonPressedEvent</code> per la gestione degli eventi relativi
 * al rilascio del tasto sinistro del mouse.
 *
 * @version 1.0
 * @author Sottoriva Andrea, Campesato Roberto.
 */
public class METAMouseReleasedEvent implements IMouseButtonPressedEvent
{
	/** Campo contenente il punto in cui  stato rilasciato il tasto del mouse. */
    private Point point;
	
	/**
	 * Crea un nuovo evento di tipo <code>METAMouseReleasedEvent</code> che si distingue per le coordinate del
	 * punto in cui in tasto del mouse  stato rilasciato come parametro.
	 */
    public METAMouseReleasedEvent(Point p)
    {
	point = p;
    }
    
	/** Restituisce le coordinate punto in cui  stato rilasciato il tasto del mouse. */
    public Point getPoint()
    {
	return point;
    }
}

